<%@ page language="java" import="java.util.*" pageEncoding="UTF-8"%>
<%@ include file="../include/global.jsp" %>
<%@ include file="../include/taglib.jsp" %>
<%@ taglib prefix="tags" tagdir="/WEB-INF/tags" %>

<form id="pagerForm" action="<%=basePath%>manager/expert/showExpertListByEditorial?rel=jbsxBox1${duty.abbreviation}" onsubmit="return divSearch(this, 'jbsxBox1${duty.abbreviation}');">
	<input type="hidden" name="pageNum" value="${pagerFilter.pagePer}" />
	<input type="hidden" name="numPerPage"  value="${pagerFilter.max}"/>
	<input type="hidden" name="editorType" value="${duty.abbreviation}" />
	<div class="pageHeader">
		<div class="searchBar">
			<table class="searchContent">
				<tr>
					<td>
						<label style="width: auto;">检索：</label>
						<input type="text" class="clearValue" name="expertNameCn" value="${expert.expertNameCn}" alt="名字、Email"/>
					</td>
				</tr>
			</table>
			<div class="subBar">
				<ul>
					<li>
						<div class="buttonActive">
							<div class="buttonContent">
								<button type="submit">
									检索
								</button>
							</div>
						</div>
					</li>
				</ul>
			</div>
		</div>
	</div>
</form>
<div class="pageContent">
	<div class="panelBar">
		<ul class="toolBar">
			<c:if test="${not empty userPermissions['expert_add']}">
				<li><a class="add"  href="<%=basePath%>manager/expert/selExpertById" target="dialog" width="900" height="500" rel="edit_expert" mask="true"><span>添加</span></a></li>
				<li><a class="add"  href="<%=basePath%>manager/expert/fileUpLoadPageNoresultPros?dutyId=${duty.id}" target="dialog" width="500" height="300" rel="edit_expert" mask="true"><span>Excel导入</span></a></li>
			</c:if>
			<li><a class="add"  href="<%=basePath%>manager/expert/choiceExport" target="dialog" width="500" height="650" rel="edit_expert" mask="true"><span>专家模板下载</span></a></li>
			<%--<li><a class="add" width="900" height="600" href="<%=basePath%>manager/expert/showLookupInsertExpert?dutyId=${duty.id}" class="btnLook" lookupgroup=""><span>从专家库选择添加</span></a></li>
		--%>
			<%-- 目前只扩展专家可以初始化 --%>
			<c:if test="${not empty userPermissions['init_extend_expert'] &&  editorialBoard.editorType == 'extend_author'}">
				<li>
					<a class="icon" href="<%=basePath%>manager/expert/initExpertBaseInfo?type=other&editorType=${editorialBoard.editorType}" target="ajaxTodo" title="确定初始化本刊所有文章作者信息？<br>已经存在带有Email专家不会覆盖，没有Email的专家会覆盖掉。"><span>初始化基本信息</span></a>
				</li>
			</c:if>
		</ul>
	</div>
	<table class="table" width="100%" layoutH="161">
		<thead>
			<tr>
				<th width="30" align="center">
					序号
				</th>
				<th align="center" width="60">
					姓名
				</th>
				<th align="center" width="60">
					E-mail
				</th>
				<c:if test="${not empty userPermissions['expert_editorialboard_list']}">
					<th align="center" width="100">
						批量设置所在届
					</th>
				</c:if>
				<%--<th width="25" align="center">
					性别
				</th>
				<th align="center" width="80">
					学科
				</th>
				<th width="80" align="left">
					研究领域
				</th>
				<th align="center" width="50">
					职称				
				</th>
				--%>
				<th width="100" align="center">
					相关统计
				</th>
				<th width="120" align="center">
					查看相关文章
				</th>
				<th width="100" align="center">
					操作
				</th>
			</tr>
		</thead>
		<tbody>
			<c:forEach items="${pagerFilter.objs}" var="expertVo" varStatus="status">
				<tr >
					<td>
						${status.index + 1 }
					</td>
					<td style="text-align: left;" class="<c:if test="${expertVo.expertIsDeath == 1}">expert-is-death</c:if>">
						<c:if test="${not empty expertVo.expertNameCn }">
							<span>${expertVo.expertNameCn }</span>
						</c:if>
						<c:set var="isSame" value="1"></c:set>
						<c:choose>
							<c:when test="${not empty expertVo.expertNameCn && not empty expertVo.expertNameEn }">
								<c:if test="${expertVo.expertNameCn != expertVo.expertNameEn  }">&nbsp;/&nbsp;<c:set var="isSame" value="0"></c:set></c:if>
							</c:when>
							<c:otherwise>
								<c:set var="isSame" value="0"></c:set>
							</c:otherwise>
						</c:choose>
						<c:if test="${not empty expertVo.expertNameEn && isSame == 0}">
							<span>${expertVo.expertNameEn }</span>
						</c:if>
					</td>
					<td>
						${expertVo.expertEmail }
					</td>
					<c:if test="${not empty userPermissions['expert_editorialboard_list']}">
						<td>
							<c:choose>
								<c:when test="${fn:length(expertVo.boards) > 0}">
									<a href="<%=basePath%>manager/editorial/settingExpertEditoria?expertId=${expertVo.id }&editorType=${editorialBoard.editorType}" width="500" height="500" target="dialog" mask="true" rel="setting_editor_expert" title="修改专家所在届" >修改</a>
									<%--<span>(${fn:length(expertVo.boards)})</span>
								--%></c:when>
								<c:otherwise>
									<a href="<%=basePath%>manager/editorial/settingExpertEditoria?expertId=${expertVo.id }&editorType=${editorialBoard.editorType}" width="500" height="500" target="dialog" mask="true" rel="setting_editor_expert" title="设置专家所在届" >设置</a>
								</c:otherwise>
							</c:choose>
						</td>
					</c:if>
					<td style="text-align: left;">
						<a target="_blank" href="<%=basePath%>manager/expert/expertIndex/detail/${expertVo.id}">
						<c:if test="${fn:length(expertVo.cooperatorWebVos) > 0 }">
							人物关系(${fn:length(expertVo.cooperatorWebVos)})&nbsp;
						</c:if>
					  	<c:if test="${fn:length(expertVo.researchFields) > 0}">
					  		研究领域(${fn:length(expertVo.researchFields) })&nbsp;
					  	</c:if>
					  	<c:if test="${fn:length(expertVo.cooperativeNnits) > 0}">
					  		合作机构(${fn:length(expertVo.cooperativeNnits) })&nbsp;
					  	</c:if>
					  	<c:forEach items="${expertVo.mapArticles }" var="obj">
							<c:if test="${fn:length(obj.value) > 0 }">
								${obj.key }(${fn:length(obj.value)})&nbsp;
							</c:if>
					  	</c:forEach>
					  	</a>
					</td>
					<td <c:if test="${not empty expertVo.expertEmail }"> class="search_info_${editorialBoard.editorType}_email" ncId="${expertVo.id }" val="${expertVo.expertEmail}"</c:if>>
						<c:if test="${not empty expertVo.expertEmail }">
							<a id="search_info_email_${editorialBoard.editorType}_${expertVo.id }" href="<%=basePath%>manager/journal/article/getArticleByJournal?email=${expertVo.expertEmail }" target="navTab" rel="rel_article" title="本刊文章管理">查看相关文章</a>
						</c:if>
					</td>
					<td>
						<c:if test="${not empty userPermissions['expert_modify']}">
						<a href="<%=basePath%>manager/expert/selExpertById?id=${expertVo.id }&rel=jbsxBox1${duty.abbreviation}" width="900" height="500" target="dialog" mask="true" title="编辑专家信息" >[编辑]</a>
						&nbsp;&nbsp;
						</c:if>
						<%--<c:if test="${not empty userPermissions['expert_modify']}">
						<a href="<%=basePath%>manager/expert/addExpertMidSort?id=${expertVo.id }" width="400" height="280" target="dialog" mask="true" rel="edit_expert" title="编辑专家顺序" >[排序]</a>
						&nbsp;&nbsp;
						</c:if>
						--%>
						<a href="<%=basePath%>manager/expert/moveExpert?id=${expertVo.id}&dutyId=${duty.id}" target="ajaxTodo" title="您确定要从本数据库移除这个专家？">[从本专家库移除]</a>
					</td>
				</tr>
			</c:forEach>
		</tbody>
	</table>
	<!-- 分页 -->
	<tags:pagerBar></tags:pagerBar>
</div>
<script type="text/javascript">
	$(document).ready(function() {
		$.each($(".search_info_${editorialBoard.editorType}_email"), function(ind,val){
			var id = $(val).attr("ncId");
			var searchVal = $(val).attr("val");
			$.ajax({
			    url: "<%=path %>manager/journal/article/getArticleCountByJournal",  
			    type: "GET",  // 请求类型，可根据实际情况调整
			    data: {
		    		id: id,  // 将 id 作为请求参数传递
			      	email: searchVal  // 将 searchVal 作为请求参数传递
			    },
			    success: function(response) {
			      // 处理查询成功的响应
			      //console.log("查询成功：", response);
			      
			      var count = response[id];
			      //console.log(count);
			      if(count > 0){
			    	  var a = $("#search_info_email_${editorialBoard.editorType}_"+id);
			    	  var originalText = a.text();
			    	  console.log(originalText);
			    	  a.text(originalText + "("+count+")");
			      }
			    },
			    error: function(error) {
			      // 处理查询失败的情况
			      console.log("查询失败：", error);
			    }
		  	});
		});
	});
</script>